Bug 746076 - %post script error: line 2: [: missing `]'
%post script error: line 2: [: missing `]'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-13 16:07 EDT by John Reiser
Modified: 2012-01-12 00:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-12 00:03:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2011-10-13 16:07:49 EDT
Description of problem: "yum update" from
---> Package gnome-terminal.x86_64 0:3.0.1-1.fc16 will be updated
---> Package gnome-terminal.x86_64 0:3.2.0-1.fc16 will be an update
gives a shell syntax error in the %post script.

Version-Release number of selected component (if applicable):
gnome-terminal-3.2.0-1.fc16.x86_64


How reproducible: haven't tried


Steps to Reproduce:
1. yum update   # from Fedora 16 beta x86_64 DVD to fedora.repo and fedora-updates-testing.repo of Oct.13 (Thurs.)
2.
3.
  
Actual results:
---> Package gnome-terminal.x86_64 0:3.0.1-1.fc16 will be updated
---> Package gnome-terminal.x86_64 0:3.2.0-1.fc16 will be an update
 gnome-terminal               x86_64 3.2.0-1.fc16                fedora          1.4 M
(47/210): gnome-terminal-3.0.1-1.fc16_3.2.0-1.fc16.x86_64.drpm  | 223 kB     00:01
  Updating   : gnome-terminal-3.2.0-1.fc16.x86_64                              332/803
  Cleanup    : gnome-terminal-3.0.1-1.fc16.x86_64                              452/803
/var/tmp/rpm-tmp.MWEQp3: line 2: [: missing `]'


Expected results: no error


Additional info:
Comment 1 Andre Robatino 2011-10-14 13:38:24 EDT
Looking at the output of "rpm -q --scripts gnome-terminal" I see no obvious problems, and "yum reinstall gnome-terminal" shows no errors, so this seems fixed in the current version.
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:46:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2012-01-10 10:49:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.